> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch prices



## OpenAPI

````yaml /openapi/main.json patch /v1/crm/inventories/sets/{set_id}/prices/{id}/
openapi: 3.0.3
info:
  title: Yume API — Основное
  version: 1.0.0
  description: Базовые сущности и бизнес-логика CRM.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/crm/inventories/sets/{set_id}/prices/{id}/:
    patch:
      tags:
        - inventories
      summary: Patch prices
      operationId: inventories_sets_prices_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
        - in: path
          name: set_id
          schema:
            type: integer
          required: true
        - $ref: '#/components/parameters/TenantId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedInventorySetPriceSerializerV2'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedInventorySetPriceSerializerV2'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedInventorySetPriceSerializerV2'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InventorySetPriceSerializerV2'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    PatchedInventorySetPriceSerializerV2:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          nullable: true
          maxLength: 255
        period:
          type: integer
        order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
    InventorySetPriceSerializerV2:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          nullable: true
          maxLength: 255
        period:
          type: integer
        order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
      required:
        - id
        - period
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````